"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const handler_1 = require("./handler");
exports.registerRoutes = {
    name: "Ark Webhooks API",
    version: "0.1.0",
    async register(server, options) {
        server.route([
            Object.assign({ method: "GET", path: "/webhooks" }, handler_1.index),
            Object.assign({ method: "POST", path: "/webhooks" }, handler_1.store),
            Object.assign({ method: "GET", path: "/webhooks/{id}" }, handler_1.show),
            Object.assign({ method: "PUT", path: "/webhooks/{id}" }, handler_1.update),
            Object.assign({ method: "DELETE", path: "/webhooks/{id}" }, handler_1.destroy),
        ]);
    },
};
//# sourceMappingURL=routes.js.map