import Joi from "joi";
declare const index: {
    query: {
        page: Joi.NumberSchema;
        limit: Joi.NumberSchema;
    };
};
declare const show: {
    params: {
        id: Joi.StringSchema;
    };
};
declare const store: {
    payload: {
        event: Joi.StringSchema;
        target: Joi.StringSchema;
        enabled: Joi.BooleanSchema;
        conditions: Joi.ArraySchema;
    };
};
declare const update: {
    params: {
        id: Joi.StringSchema;
    };
    payload: {
        event: Joi.StringSchema;
        target: Joi.StringSchema;
        enabled: Joi.BooleanSchema;
        conditions: Joi.ArraySchema;
    };
};
declare const destroy: {
    params: {
        id: Joi.StringSchema;
    };
};
export { index, show, store, update, destroy };
