"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const between = (actual, expected) => actual > expected.min && actual < expected.max;
exports.between = between;
const contains = (actual, expected) => actual.includes(expected);
exports.contains = contains;
const eq = (actual, expected) => actual === expected;
exports.eq = eq;
const falsy = actual => actual === false;
exports.falsy = falsy;
const gt = (actual, expected) => actual > expected;
exports.gt = gt;
const gte = (actual, expected) => actual >= expected;
exports.gte = gte;
const lt = (actual, expected) => actual < expected;
exports.lt = lt;
const lte = (actual, expected) => actual <= expected;
exports.lte = lte;
const ne = (actual, expected) => actual !== expected;
exports.ne = ne;
const notBetween = (actual, expected) => !between(actual, expected);
exports.notBetween = notBetween;
const regexp = (actual, expected) => new RegExp(expected).test(actual);
exports.regexp = regexp;
const truthy = actual => actual === true;
exports.truthy = truthy;
//# sourceMappingURL=conditions.js.map